Feedback
Create or update feedback
Adds or overwrites user feedback on an assistant message. Positive feedback must not include a reason or comment.
POST
/v1/threads/{thread_id}/messages/{message_id}/feedbackAuthorization
APIKeyHeader api-key<token>
In: header
Path Parameters
thread_id*Thread Id
Format
uuidmessage_id*Message Id
Format
uuidRequest Body
application/json
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/threads/497f6eca-6276-4993-bfeb-53cbbbba6f08/messages/497f6eca-6276-4993-bfeb-53cbbbba6f08/feedback" \ -H "Content-Type: application/json" \ -d '{ "feedback": "positive" }'{ "created_at": "2025-03-15T10:00:00.000000Z", "feedback": "positive", "message_id": "5e6f7081-9012-def0-1234-556677889900"}{ "error_code": "invalid_input", "detail": "invalid input"}{ "error_code": "unauthorized", "detail": "Missing or invalid API key"}{ "error_code": "message_not_found", "detail": "Message not found"}{ "error_code": "validation_error", "detail": [ { "loc": [ "body", "feedback" ], "message": "Input should be 'positive' or 'negative'", "type": "enum" } ]}{ "message": "Rate limit exceeded!"}{ "error_code": "internal_server_error", "detail": "Internal Server Error"}